/*
 * SimpleComboBoxEditor.java
 *
 * Created on 15 agosto 2005, 17.05
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.gui.sheet;

import javax.swing.ComboBoxEditor;
import javax.swing.JLabel;

/**
 *
 * @author Administrator
 */
public class SimpleComboBoxEditor implements ComboBoxEditor {
    
    private JLabel jlable = null;
    private Object item = null;
    
    /** Creates a new instance of SimpleComboBoxEditor */
    public SimpleComboBoxEditor() {
       
    }

    public void addActionListener(java.awt.event.ActionListener actionListener) {
    }

    public java.awt.Component getEditorComponent() {
        
        if (jlable == null){
            jlable = new JLabel();
            jlable.setBorder( null );
        }
    
        return jlable;
    }

    public Object getItem() {
        return item;
    }

    public void removeActionListener(java.awt.event.ActionListener actionListener) {
    }

    public void selectAll() {
    }

    public void setItem(Object obj) {
        item = obj;
        jlable.setText( item + "");
    }
    
}
